from stock_stat import StockStat


class StockController:
    def __init__(self) -> None:
        self.st = StockStat(all_data=None, ticker=None,
                            value=None, graphtype=None, ax=None)

    def get_all_data_from_ui(self, all_data, ticker, value, graphtype, ax):
        """ Get all data from UI and set to StockStat class"""
        self.st.all_data = all_data
        self.st.ticker = ticker
        self.st.value = value
        self.st.graphtype = graphtype
        self.st.ax = ax

    def load_data(self):
        """Load data from yahoo finance"""
        return self.st.load_data()
    
    def plotting(self):
        """Plotting the graph"""
        return self.st.plotting()
    
    def ticker_for_cbb(self):
        return ['DVN', 'MRO', 'MRNA', 'FTNT', 'SBNY', 'F', 'BBWI', 'FANG', 'NVDA', 'NUE']
    
    def value_for_cbb(self):
        return ['Open', 'High', 'Low', 'Close', 'Adj Close', 'Volume']
    
    def graphtype_for_cbb(self):
        return ['line', 'hist']
